/* Header for the Bbuuzzb io code error message module.
   Rick Smereka, Copyright (C) 1997-2002.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, get a copy via the Internet at
   http://gnu.org/copyleft/gpl.html or write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston,
   MA 02111-1307 USA

   You can contact the author via email at rsmereka@future-lab.com

   Original DOS version Dec/97, Rick Smereka

   Port to QNX V4.23a Mar/98, Rick Smereka

   Added detection of C++ compiler with instructions not to
   mangle the function names. Nov/98, Rick Smereka

   Ported to Windows 32bit under Code Warrior V4. Dec/98, Rick Smereka

   Ported to HP-UX under GNU C 2.8.1.
   Jan/99, Rick Smereka

   Re-named 'db' level functions to 'dbeng' and created high
   level 'db' functions. Feb/99, Rick Smereka

   Ported to Red Hat Linux 5.2, Jul/99, Rick Smereka

   Ported to Debian Linux. Nov/2002, Rick Smereka */

#ifdef __cplusplus
extern "C"
{
#endif

void db_io_code_string(const int, char *);
void db_io_code_log(char *, char *, int);
void dbeng_io_code_string(const int, char *);
void dbeng_io_code_log(char *, char *, int);

#ifdef __cplusplus
}
#endif
