/* IPC config settings handler header file.
   Rick Smereka, Copyright (C) 1998-2000.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, get a copy via the Internet at
   http://gnu.org/copyleft/gpl.html or write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston,
   MA 02111-1307 USA

   You can contact the author via email at rsmereka@future-lab.com

   Original 32bit Windows version Dec/98, Rick Smereka

   Ported to HP-UX under GNU C 2.8.1.
   Jan/99, Rick Smereka

   Ported to Red Hat Linux 5.2, Jul/99, Rick Smereka

   Added 'extern "C"' sections in the case of a C++ compiler
   Apr/2000, Rick Smereka */

#define IPC_CONFIG_OK 1
#define IPC_CONFIG_INVALID_PARAMETER 2
#define IPC_CONFIG_PARAMETER_MISSING 3
#define IPC_CONFIG_UNABLE_TO_OPEN 4
#define IPC_CONFIG_ALLOC_ERROR 5
#define IPC_CONFIG_INTERNAL_PARSE_ERROR 6
#define IPC_CONFIG_PORT_NOT_NUMERIC 7

#ifdef __cplusplus
extern "C"
{
#endif

int ipc_config_read(char *, char *, int *);
void ipc_config_code_string(int, char *);

#ifdef __cplusplus
}
#endif
